<?php
/* Mantenimiento de los registros de la tabla MST_RelacionReferenciaProducto redefinidos por el usaurio */
class MST_RelacionReferenciaProductoDP extends BaseMST_RelacionReferenciaProductoDP
{
    public static function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( IdReleacion ) IS NULL, 1, MAX( IdReleacion ) + 1 ) i_Id  FROM MST_RelacionReferenciaProducto;";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        $i_Id = $o_ResultSet->getInt( 'i_Id' );
        return $i_Id;
    }
}
?>